#Licensed Materials - Property of IBM 
#Rational ClearQuest 
#Copyright IBM Corp. 2008 All Rights Reserved 

#!/usr/bin/perl
use Config;
use POSIX qw(locale_h);

BEGIN {

	if($Config{osname} eq "MSWin32"){
		$ENV{PATH} = $ENV{CQCLI_PATH};
		$ENV{CLASSPATH} = $ENV{CQCLI_CLASSPATH};
	}
	$ENV{'PERL_INLINE_JAVA_JNI'} = 1;
	
		
	my $locale = setlocale(LC_CTYPE);
	if(($locale =~ /zh/i) || ($locale =~ /ch/i) ) {
		$ENV{CQCLI_LOCALE}	= "zh";
	}elsif(($locale =~ /ja/i) || ($locale =~ /jap/i)){
		$ENV{CQCLI_LOCALE}	= "ja";
	}
}


#use warnings;
#use strict;
use Term::ReadLine;
use Text::ParseWords;
use cqcli::Util;
use cqcli::commonservice;
use cqcli::controller;

BEGIN {

	my $loc = localeinfo();
	if(($loc =~ /CN/i) || ($loc =~ /cn/i) ) {
		$ENV{CQCLI_LOCALE}	= "zh";
	}
	elsif(($loc =~ /JP/i) || ($loc =~ /jp/i)){
		$ENV{CQCLI_LOCALE}	= "jp";
	}
	elsif(($loc =~ /DE/i) || ($loc =~ /de/i)){
		$ENV{CQCLI_LOCALE}	= "de";
	}
	elsif(($loc =~ /ES/i) || ($loc =~ /es/i)){
		$ENV{CQCLI_LOCALE}	= "es";
	}
	elsif(($loc =~ /FR/i) || ($loc =~ /fr/i)){
		$ENV{CQCLI_LOCALE}	= "fr";
	}
	elsif(($loc =~ /KR/i) || ($loc =~ /kr/i)){
		$ENV{CQCLI_LOCALE}	= "kr";
	}
	elsif(($loc =~ /IT/i) || ($loc =~ /it/i)){
		$ENV{CQCLI_LOCALE}	= "it";
	}
	elsif(($loc =~ /BR/i) || ($loc =~ /br/i)){
		$ENV{CQCLI_LOCALE}	= "br";
	}
	elsif(($loc =~ /US/i) || ($loc =~ /us/i)){
		$ENV{CQCLI_LOCALE}	= "en";
	}
}

$Controller = GetCQCLIController();

sub cqtool
{
	my $input = shift;

		if($ENV{CQCLI_LOCALE} eq 'zh') {
			$input  = decode('cp936',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'jp') {
			$input  = decode('cp932',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'kr') {
			$input  = decode('cp949',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'de') {
			$input  = decode('cp1252',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'br') {
			$input  = decode('cp1252',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'it') {
			$input  = decode('cp1252',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'fr') {
			$input  = decode('cp1252',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'es') {
			$input  = decode('cp1252',$input);
		}
		elsif($ENV{CQCLI_LOCALE} eq 'en') {
			$input  = decode('cp1252',$input);
		}

	SetCQCLIInteractiveMode(0);
	return ($Controller->execute($input));
}


our $VERSION = '0.01';


# Preloaded methods go here.

1;
